## r-cran-matrixmodels 0.4

=== DESCRIPTION ===
Package: MatrixModels
Version: 0.4-1
Date: 2015-08-22
Title: Modelling with Sparse And Dense Matrices
Author: Douglas Bates <bates@stat.wisc.edu> and Martin Maechler <maechler@stat.math.ethz.ch>
Maintainer: Martin Maechler <mmaechler+Matrix@gmail.com>
Contact: Doug and Martin <Matrix-authors@R-project.org>
Description: Modelling with sparse and dense 'Matrix' matrices, using
  modular prediction and response module classes.
Depends: R (>= 3.0.1)
Imports: stats, methods, Matrix (>= 1.1-5)
Encoding: UTF-8
LazyLoad: yes
License: GPL (>= 2)
URL: http://Matrix.R-forge.R-project.org/
NeedsCompilation: no
Packaged: 2015-08-22 20:32:14 UTC; maechler
Repository: CRAN
Date/Publication: 2015-08-22 23:37:45

## r-cran-matrixmodels 0.4-1

=== debian/changelog ===
r-cran-matrixmodels (0.4-1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for r-api-3.4 transition

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Sep 2017 21:35:53 +0200

r-cran-matrixmodels (0.4-1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Aug 2015 21:26:01 -0500

r-cran-matrixmodels (0.4-0-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #795924)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 17 Aug 2015 19:51:47 -0500

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-matrixmodels package
# Copyright 2003-2015 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/MatrixModels_([-\d\.]*)\.tar.gz

## r-cran-matrixmodels 0.5

=== DESCRIPTION ===
Package: MatrixModels
Version: 0.5-4
VersionNote: Released 0.5-3 on 2023-11-06
Date: 2025-03-25
Title: Modelling with Sparse and Dense Matrices
Contact: Matrix-authors@R-project.org
Authors@R: c(
  person("Douglas", "Bates", role = "aut", email = "bates@stat.wisc.edu",
         comment = c(ORCID = "0000-0001-8316-9503")),
  person("Martin", "Maechler", role = c("aut", "cre"), email = "mmaechler+Matrix@gmail.com",
         comment = c(ORCID = "0000-0002-8685-9910")))
Description: Generalized Linear Modelling with sparse and dense 'Matrix' matrices, using
  modular prediction and response module classes.
Depends: R (>= 3.6.0)
Imports: stats, methods, Matrix (>= 1.6-0), Matrix(< 1.8-0)
ImportsNote: _not_yet_stats4
Encoding: UTF-8
LazyLoad: yes
License: GPL (>= 2)
URL: https://Matrix.R-forge.R-project.org/,
        https://r-forge.r-project.org/R/?group_id=61
BugReports: https://R-forge.R-project.org/tracker/?func=add&atid=294&group_id=61
NeedsCompilation: no
Packaged: 2025-03-25 22:20:33 UTC; maechler
Author: Douglas Bates [aut] (<https://orcid.org/0000-0001-8316-9503>),
  Martin Maechler [aut, cre] (<https://orcid.org/0000-0002-8685-9910>)
Maintainer: Martin Maechler <mmaechler+Matrix@gmail.com>
Repository: CRAN
Date/Publication: 2025-03-26 08:50:02 UTC

## r-cran-matrixmodels 0.5-0

=== debian/changelog ===
r-cran-matrixmodels (0.5-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Mar 2021 09:26:02 -0600

r-cran-matrixmodels (0.4-1-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 May 2020 08:56:15 -0500

r-cran-matrixmodels (0.4-1-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Jun 2018 20:51:08 -0500

=== debian/control ===
Source: r-cran-matrixmodels
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r, r-cran-matrix
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrixmodels
Vcs-Git: https://salsa.debian.org/edd/r-cran-matrixmodels.git
Homepage: https://cran.r-project.org/package=MatrixModels

Package: r-cran-matrixmodels
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-matrix
Description: GNU R package for sparse and dense matrix models
 The MatrixModels package supports modelling with sparse and dense
 'Matrix' matrices, using modular prediction and response module
 classes.

## r-cran-matrixmodels 0.5-1

=== debian/changelog ===
r-cran-matrixmodels (0.5-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Sep 2022 22:27:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r, r-cran-matrix
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-matrix
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrixmodels
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrixmodels.git
 Homepage: https://cran.r-project.org/package=MatrixModels

## r-cran-matrixmodels 0.5-2

=== debian/changelog ===
r-cran-matrixmodels (0.5-2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Jul 2023 21:25:03 -0500

## r-cran-matrixmodels 0.5-3

=== debian/changelog ===
r-cran-matrixmodels (0.5-3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Nov 2023 10:12:52 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-matrix
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-matrix
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrixmodels
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrixmodels.git
 Homepage: https://cran.r-project.org/package=MatrixModels

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-matrixmodels package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-matrixmodels 0.5-4

=== debian/changelog ===
r-cran-matrixmodels (0.5-4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 27 Mar 2025 08:15:45 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-matrix
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.3), dh-r, r-cran-matrix
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrixmodels
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrixmodels.git
 Homepage: https://cran.r-project.org/package=MatrixModels
